Welcome to InspirePilots.com

Join the leading DJI Inspire community for free!

Latest firmware still says "Aircraft requires upgrade."

Discussion in 'Inspire 1 Help' started by TommyJeep, Dec 7, 2015.

  1. TommyJeep

    Joined:
    Nov 29, 2015
    Messages:
    28
    Likes Received:
    2
    Location:
    Foresthill, CA
    My apologies if there is already a thread on this, but I couldn't find this scenario.

    My I1 Pro is on the latest firmware. I have the bin file in the root of an empty micro SD card. When powering up the I1 with the remote off, firmware upgrade does not take place. After powering up the remote, DJI GO indicates "Aircraft requires upgrade." and "Battery requires upgrade." The TXT file on the micro SD indicates "The firmware on the SD card is identical to or older than the current firmware on the aircraft."

    On my About screen I have the following:
    App Version 2.4.2
    Aircraft Version 1.4.00.10+
    RC Version 1.5.70
    Camera Version 1.1.0.40

    The only thing I can think of is that either my GO app or RC Version are "too new" for the aircraft. Hardly seems possible though.

    Also, can anyone explain DJI's file naming convention to me? I don't understand how a file named "WM610_FC550_FW_V01.01.00.40.bin" equates to firmware "1.4.00.10+"

    Thanks is advance
     
  2. ADSSER

    Joined:
    May 14, 2015
    Messages:
    103
    Likes Received:
    13
    I know this is going to sound silly...but, it worked for me.

    Make sure you are using the SD card that came with the unit. I saw that as a suggestion at some point in one of the topic areas here.

    Like I said, it worked for me when I couldn't get an upgrade to work a while back.
     
  3. TommyJeep

    Joined:
    Nov 29, 2015
    Messages:
    28
    Likes Received:
    2
    Location:
    Foresthill, CA
    Thanks Adsser, I did try that. Perhaps it's a coincidence, perhaps not, but I recently purchased two 64GB cards and was hoping to interchange them on a big filming day, or weekend. Thinking the cards might be the problem, I went back to the supplied 16GB card with no change.
     
  4. Blue Bird

    Joined:
    May 18, 2015
    Messages:
    268
    Likes Received:
    60
    Location:
    Dade County, Florida
    Please update to the all in one firmware update released 12-7-2015, vesion VM610_FW_V01.05.00.30. Update all batteries. This should solve everything.
     
  5. TommyJeep

    Joined:
    Nov 29, 2015
    Messages:
    28
    Likes Received:
    2
    Location:
    Foresthill, CA
    The firmware you mentioned is for the Inspire 1, but I have the Inspire 1 Pro with the Zenmuse X5 camera. Since that firmware isn't listed on the Pro download page, I'm reluctant to do so. Am I paranoid?
     
  6. Blue Bird

    Joined:
    May 18, 2015
    Messages:
    268
    Likes Received:
    60
    Location:
    Dade County, Florida
    Apparently, as with many other post with the Pro about FW. Don't worry! It will be released very soon! Fly your current bird as normal with the existing FW untill released by DJI.
     
  7. El PaDrone

    Joined:
    Dec 8, 2015
    Messages:
    2
    Likes Received:
    1
    I have the same problem. Just spent hours trying to figure this out. I have everything as listed above on my about page
    App Version 2.4.2
    Aircraft Version 1.4.00.10+
    RC Version 1.5.70
    Camera Version 1.1.0.40
    but app still says firmware upgrade needed for the aircraft and battery update needed. Why wouldnt they specify this in the downloads page ?
     
  8. Scotflieger

    Joined:
    Mar 29, 2015
    Messages:
    1,240
    Likes Received:
    571
    Location:
    Buckie, Scotland, UK
    If you have the Inspire 1 Pro and only have the X5 camera then the Inspire 1 update 1.5.0.30 IS NOT FOR YOU and you should ignore all messages and wait for the I1 Pro update. Carry on flying.

    However, if you have an X3 camera you can fit this and carry out the update.
     
    #8 Scotflieger, Dec 8, 2015
    Last edited: Dec 8, 2015
    The Editor and Blue Bird like this.
  9. Jeffrey S.

    Joined:
    Dec 8, 2015
    Messages:
    2
    Likes Received:
    0
    New this forum thing. I have Inspire 1 at SW version 1.04.00.10. I changed to the X5 camera. Now when I try to update to 1.5.0.30 it does nothing. Do I need to put the x3 back on first and update then install my x5?
     
  10. Scotflieger

    Joined:
    Mar 29, 2015
    Messages:
    1,240
    Likes Received:
    571
    Location:
    Buckie, Scotland, UK
    Welcome to the forum. As briefed above, you need to fit your X3 on to the I1 for this update (1.5.0.30) to work correctly. There is a problem with updates using the X5 which hopefully DJI will quickly solve. You will also find an update to the X5 (on its DJI product page). I did this one first a week or so ago but it should not matter which order you do them in. Just check the .txt file on the MicroSD card after each to check that they installed successfully.
     
  11. Jeffrey S.

    Joined:
    Dec 8, 2015
    Messages:
    2
    Likes Received:
    0
    Thanks changing back now.
     
  12. TommyJeep

    Joined:
    Nov 29, 2015
    Messages:
    28
    Likes Received:
    2
    Location:
    Foresthill, CA
    I've read somewhere that if you ignore the "upgrade required" message for long enough, the bird will no longer fly. Can anyone confirm or deny this? Any idea how long the grace period is?
     
  13. Kilrah

    Joined:
    Feb 3, 2015
    Messages:
    1,879
    Likes Received:
    728
    It's only a way they are rumoured to have available in case an update was critical enough that you should not fly anymore without applying it, but was never used yet.
     
  14. Blue Bird

    Joined:
    May 18, 2015
    Messages:
    268
    Likes Received:
    60
    Location:
    Dade County, Florida
    If the update is mandatory, such as no fly zone or critical flight control updates, the bird will fly up to 3 times before shutting down. That is my experience with my clients that own I1's. Usually the release notes for the updates will inform you what is critical.
     
  15. TommyJeep

    Joined:
    Nov 29, 2015
    Messages:
    28
    Likes Received:
    2
    Location:
    Foresthill, CA
    Thanks for all the replies. I'm learning a lot in this forum! I expect I'm going to learn patience with DJI as time goes on.
     
  16. TommyJeep

    Joined:
    Nov 29, 2015
    Messages:
    28
    Likes Received:
    2
    Location:
    Foresthill, CA
    I finally heard back from DJI. As is the consensus in this thread, DJI has asked me to ignore the "update required" messages stating it's a bug. I see that a new firmware is available today, so I'll install it tonight. I see in another post where someone installed the new firmware and is still seeing "update required". DJI is going to numb us to these warnings and eventually they will be completely ignored by the community. Does everyone know the story of the boy who cried "Wolf"?

    Edit: I'm sure you've all seen the other threads indicating this new firmware is more buggy than the previous version. Also, this latest version is only an update to the X5 camera, not the aircraft. I'll be holding off on upgrading until they fix the bird.
     
    #17 TommyJeep, Dec 9, 2015
    Last edited: Dec 9, 2015
  17. Moises Levy

    Joined:
    Oct 4, 2015
    Messages:
    4
    Likes Received:
    1
    Try to update using the X5 firmware under the gimbal section
     
  18. Patriot1776

    Joined:
    Dec 1, 2015
    Messages:
    28
    Likes Received:
    2
    Location:
    Californa
    Thanks Tommy I recently got the upgrade notice as well with Battery upgrade . It's a new bird 3 weeks . I will ignore the upgrade request then.
     
  19. TommyJeep

    Joined:
    Nov 29, 2015
    Messages:
    28
    Likes Received:
    2
    Location:
    Foresthill, CA
    Patriot1776,

    Mine is only a few weeks old as well. The latest firmware has fixed everything for my Pro with the X5.